Page MenuHomePhabricator

Requesting access to analytics-privatedata-users and nda groups for edtadros
Closed, ResolvedPublic

Description

wikitech username: Edward Tadros
shell username: edtadros
Email address: proticom-ctr@wikimedia.org
Ssh public key

Requested group membership: analytics-privatedata-users, nda

Reason for access: Data QA in production
We are working on a new process to implement instrumentation Data QA (more on this here- https://docs.google.com/presentation/d/1CGkrluSNgIt12oDtGnNt092cpdlN10Ac8VV31e1wtbQ/edit#slide=id.gc6f9e470d_0_0) where I would need to query production instrumentation data to see if there are no data quality issues and that values are getting stored as expected. This would be extremely useful for the Product Analytics team to ensure that any Readers Web data they use is consistent and accurate and that they are able to get reliable results from the analyses they perform.
Upcoming Use Case: I will be checking events in the target production wikis and then looking at data in the Schema:DesktopWebUIActionsTracking to see if they match up.

I've added my manager Jean-Rene Branaa as a subscriber.

Ops Clinic Duty Checklist for Access Requests

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponsor for volunteers, manager for wmf staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task
  • - Patchset for access request

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2020, 10:46 PM
ssingh added a subscriber: ssingh.Jun 29 2020, 3:47 PM

Hi @Edtadros. Thanks for providing the information.

To continue, we will require approval from your manager (already added on the task) and someone from Analytics (I have added Nuria). Thanks.

ssingh added a subscriber: Nuria.Jun 29 2020, 3:48 PM
elukey added a subscriber: elukey.Jun 29 2020, 4:26 PM

To speed up the approval procedure, please also add details about why access is needed etc.. (a bit more verbose than Data QA in production please :)

Mayakp.wiki updated the task description. (Show Details)Jun 29 2020, 5:35 PM
Nuria added a comment.Jun 30 2020, 8:46 PM

Approved on my end. Please be so kind to familiarize yourself with the data access guidelines: https://wikitech.wikimedia.org/wiki/Analytics/Data_Access_Guidelines

Thank you! I'll do the reading.

Approved on my end.

ssingh claimed this task.Jul 2 2020, 11:28 AM
ssingh updated the task description. (Show Details)

Hi @Edtadros: Once you complete (read and sign) the L3 document, I will resolve this task (today). Thanks!

Change 609158 had a related patch set uploaded (by Ssingh; owner: Ssingh):
[operations/puppet@production] admin: add Edward Tadros to analytics-privatedata-users

https://gerrit.wikimedia.org/r/c/operations/puppet/ /609158

ssingh updated the task description. (Show Details)Jul 2 2020, 9:52 PM
jcrespo triaged this task as Medium priority.Jul 6 2020, 9:58 AM
jcrespo moved this task from Backlog to Acknowledged on the Operations board.

Hi @ssingh, I signed it. Thanks in advance!

Nuria added a comment.Jul 7 2020, 10:29 PM

@Edtadros can you provide an end date for your contract? (the access will expire also on that same day)

@Nuria I will have @Jrbranaa answer that since he is dealing with my contract now.

Dzahn reassigned this task from ssingh to Jrbranaa.Jul 9 2020, 5:37 PM
jcrespo updated the task description. (Show Details)Jul 10 2020, 11:30 AM
CDanis added a subscriber: CDanis.Jul 16 2020, 12:42 PM

@Jrbranaa ping? this access request is waiting on your reply re: contract end date

Joe added a subscriber: Joe.Jul 23 2020, 6:04 AM

@Jrbranaa ping again :)

herron changed the task status from Open to Stalled.Jul 28 2020, 4:50 PM

Sorry, being out of the office and changing my IRC usage (missing channels :-/) I didn't see this. The contract termination date is June 30th 2021.

Dzahn changed the task status from Stalled to Open.Aug 5 2020, 5:07 PM
Dzahn removed Jrbranaa as the assignee of this task.

Change 609158 merged by Alexandros Kosiaris:
[operations/puppet@production] admin: add Edward Tadros to analytics-privatedata-users

https://gerrit.wikimedia.org/r/609158

akosiaris closed this task as Resolved.Aug 6 2020, 11:10 AM
akosiaris claimed this task.

Change merged, user added to the NDA group as requested. @Edtadros you should be good to go. I 'll resolve this, but feel free to reopen is something's amiss.

akosiaris updated the task description. (Show Details)Aug 6 2020, 11:11 AM